org.apache.lucene.spatial.prefix.tree

## Class PackedQuadPrefixTree.Factory

- java.lang.Object
- - org.apache.lucene.spatial.prefix.tree.SpatialPrefixTreeFactory
  - - org.apache.lucene.spatial.prefix.tree.QuadPrefixTree.Factory
    - - org.apache.lucene.spatial.prefix.tree.PackedQuadPrefixTree.Factory

Enclosing class:
  PackedQuadPrefixTree

    public static class PackedQuadPrefixTree.Factory
    extends QuadPrefixTree.Factory

Factory for creating `PackedQuadPrefixTree` instances with useful defaults.

### Field Summary

### Fields inherited from class org.apache.lucene.spatial.prefix.tree.SpatialPrefixTreeFactory

`args, ctx, MAX_DIST_ERR, MAX_LEVELS, maxLevels, PREFIX_TREE, VERSION`

### Constructor Summary

Constructors
Constructor and Description
`Factory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected SpatialPrefixTree` `newSPT()`

### Methods inherited from class org.apache.lucene.spatial.prefix.tree.QuadPrefixTree.Factory

`getLevelForDistance`

### Methods inherited from class org.apache.lucene.spatial.prefix.tree.SpatialPrefixTreeFactory

`getVersion, init, initMaxLevels, initVersion, makeSPT, setVersion`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Factory

    public Factory()

### Method Detail

#### newSPT

    protected SpatialPrefixTree newSPT()

Overrides:
  `newSPT` in class `QuadPrefixTree.Factory`